Skip to content

List coupons

GET
/v1/coupons

Retrieve a list of coupons for the authenticated company, optionally filtered by event

eventId
string
Example
event_123abc

Filter coupons by specific event ID. If not provided, includes global coupons.

Successfully retrieved coupons

object
status
string
Example
ok
data
Array<object>
object
id
string
companyId
string
description
string
code
string
type
string
Allowed values: access coded public hold
amountOff
number
percentOff
number
limit
number
quantitySold
number
offeringIds
Array<string>
contextIds
Array<string>
status
string
Allowed values: active expired disabled sold_out

Unauthorized - authentication required

object
status
string
Example
error
message
string
Example
An error occurred
error
string

Internal server error

object
status
string
Example
error
message
string
Example
An error occurred
error
string